# boost::numeric::ublas::hermitian_adaptor< M, TRI >::iterator2 Class Reference

List of all members.

## Public Types
typedef subiterator2_type::value_type | value_type
typedef subiterator2_type::difference_type | difference_type
typedef subiterator2_type::reference | reference
typedef subiterator2_type::pointer | pointer
typedef iterator1 | dual_iterator_type
typedef reverse_iterator1 | dual_reverse_iterator_type
## Public Member Functions
BOOST_UBLAS_INLINE | iterator2 (self_type &m, const subiterator2_type &it2)
BOOST_UBLAS_INLINE iterator2 & | operator++ ()
BOOST_UBLAS_INLINE iterator2 & | operator-- ()
BOOST_UBLAS_INLINE iterator2 & | operator+= (difference_type n)
BOOST_UBLAS_INLINE iterator2 & | operator-= (difference_type n)
BOOST_UBLAS_INLINE difference_type | operator- (const iterator2 &it) const
BOOST_UBLAS_INLINE reference | operator* () const
BOOST_UBLAS_INLINE reference | operator[] (difference_type n) const
BOOST_UBLAS_INLINE iterator1 | begin () const
BOOST_UBLAS_INLINE iterator1 | end () const
BOOST_UBLAS_INLINE reverse_iterator1 | rbegin () const
BOOST_UBLAS_INLINE reverse_iterator1 | rend () const
BOOST_UBLAS_INLINE size_type | index1 () const
BOOST_UBLAS_INLINE size_type | index2 () const
BOOST_UBLAS_INLINE iterator2 & | operator= (const iterator2 &it)
BOOST_UBLAS_INLINE bool | operator== (const iterator2 &it) const
BOOST_UBLAS_INLINE bool | operator< (const iterator2 &it) const
## Friends
class | const_iterator2

### template<class M, class TRI>
class boost::numeric::ublas::hermitian_adaptor< M, TRI >::iterator2